#include <iostream>
#include <cmath>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int x1,y1,x2,y2;
	cin>>x1>>y1>>x2>>y2;
	if(x1!=x2 and y1!=y2 and (abs(x1-x2))==(abs(y1-y2))){
		cout<<"1";
	}
	else if(x1==x2 and y1!=y2 or y1==y2 and x1!=x2){
		cout<<"2";
	}
	else{
		cout<<"0";
	}
	return 0;
}